Subject: [105attendees] Fwd: And a third [was: A couple of opinion pieces]

From: Brian E Carpenter <[email-masked]>
Date: Tue, 23 Jul 2019 00:38:23 +1200

Hi everybody,

Sorry if you've already seen this, but since some related issues are likely to come up at the plenary session this week, you might find it interesting. There have also been a *lot* of messages on the [email-masked] list recently about the RFC Series Editor situation, but you'll have to look in the list archive for that (https://mailarchive.ietf.org/arch/browse/ietf/).

Regards,
    Brian Carpenter

-------- Forwarded Message --------
Subject: And a third [was: A couple of opinion pieces]
Date: Mon, 15 Jul 2019 16:19:19 +1200
From: Brian E Carpenter <[email-masked]>
Organization: University of Auckland
To: IETF discussion list <[email-masked]>

Various recent discussions here have made me think that the IETF is
at a point where some fundamentals in the standards process, the
publication process, and its basic organization need to be re-evaluated
and perhaps changed. The goal of course would be to make the IETF more
useful, not change for its own sake.

It's above my pay grade to decide whether to start an organized
approach to this, but in addition to the two opinion pieces mentioned
below, please also consider this:
https://www.cs.auckland.ac.nz/~brian/CommentaryIAB.pdf
This is about the institution, not the people. Please read the opening
disclaimer, and of course comments are welcome, as always.

Regards
   Brian Carpenter

On 20-Jun-19 16:24, Brian E Carpenter wrote:
> Hi,
> 
> The first document is early input to the 2019-2020 NomCom and to
> all those thinking of volunteering for it, or for any of the
> open leadership positions:
> 
> Some Thoughts on IETF Community Leadership
> https://tools.ietf.org/html/draft-carpenter-community-leaders-01
> 
> The second one is also relevant to NomCom, but also to those who
> will be involved in the process of identifying the future RFC Series
> Editor, and to those who care about the IETF standards process in general:
> 
> Request for Comments
> https://tools.ietf.org/html/draft-carpenter-request-for-comments-01
> 
> Comments are most welcome, but these documents are both personal opinions.
>  
> Regards
>    Brian Carpenter
>

---

From: Ted Hardie <[email-masked]>
Date: Mon, 22 Jul 2019 08:48:13 -0400

Just to add to Brian's note, this is more than likely, as the IAB is asking
the community specific questions around how to move forward.  The questions
are in the IAB report to the community (
https://www.iab.org/2019/07/18/iab-report-to-the-community-at-ietf-105/);
as that notes, Olaf Kolkman will also present a review of the current RFC
Editor model to help frame some of the timing questions.

regards,

Ted

On Mon, Jul 22, 2019 at 8:38 AM Brian E Carpenter <
[email-masked]> wrote:

> Hi everybody,
>
> Sorry if you've already seen this, but since some related issues are
> likely to come up at the plenary session this week, you might find it
> interesting. There have also been a *lot* of messages on the [email-masked]
> list recently about the RFC Series Editor situation, but you'll have to
> look in the list archive for that (
> https://mailarchive.ietf.org/arch/browse/ietf/).
>
> Regards,
>     Brian Carpenter
>
> --
> 105attendees mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/105attendees
>

---

From: John C Klensin <[email-masked]>
Date: Mon, 22 Jul 2019 10:18:52 -0400

--On Monday, July 22, 2019 08:48 -0400 Ted Hardie
<[email-masked]> wrote:

> Just to add to Brian's note, this is more than likely, as the
> IAB is asking the community specific questions around how to
> move forward.  The questions are in the IAB report to the
> community (
> https://www.iab.org/2019/07/18/iab-report-to-the-community-at-
> ietf-105/); as that notes, Olaf Kolkman will also present a
> review of the current RFC Editor model to help frame some of
> the timing questions.

Ted,

I didn't see any substantive questions other than whether to
appoint (acting?) RSE and then start thinking through the role
or to try to just move forward with a selection process there.
Were those the questions you had in mind.

I am glad you said "asking the community" rather than "doing a
survey", but some of the same issues apply.   As others have
pointed out several times, the RFC Series (and hence the ISE)
serve much of the broader Internet Community, not just the IETF.
FWIW, one theory about the role of the IAB is that it is
supposed to serve  the broader Internet community too although I
think we sometimes loose sight of that (and the IEtF-centered
selection process doesn't help).  At least without a great deal
of caution, a survey to collect opinions is only as good as the
population being asked and how well those who respond represent
that population.  "Asking the community" isn't much better:
unless the IAB is just interested in confirming what it already
believes -- and I assume that is not the case-- the usefulness
of "asking the community" is only as useful as the parts of the
community you choose to ask and who answers and how.  In
particular, if "ask the community" is really going to be "ask
around the IETF", then those other parts of the Internet
Community who benefit from the RFC Series are effectively
disenfranchised.

I was very strongly reminded last Tuesday just how small of a
fraction of the Internet community, even the portion of the
community that is interested in the Internet's protocols or how
they are applied in practice, IETF participants represent.  If
the IETF (not just the RFE Series) are going to remain relevant,
I think we need to pay significant attention to that.

The other problem, as Brian, I, and others, have pointed out is
that the RSE position is a very specialized job, one into which
it would be no more reasonable to drop someone whose skill set
is in network engineering than it would be to expect the
managing editor of, say, a biochemistry journal to be able to
step into the IAB or IETF Chair roles or even to start designing
network protocols (unless he or she had considerable network
engineering background and experience in addition to their
biochemistry one).  I assume and hope that Olaf will explain
that in more detail on Wednesday.

I'd lay good odds that, before the recent discussions broke out,
only a small fraction of IETF participants had given any real
thought to the role of the RSE and that many were only vaguely
aware that it existed.  If that awareness level has risen,
perhaps that is a good consequence of this otherwise bad
situation.  However, it suggests that, at least in addition to
asking the community, you should be seeking out people with real
expertise and/or history and asking them rather than either
assuming that advice can come from general asking of the
community or that sufficient expertise in those matters exists
within the IAB or the present RSOC.

best,
   john

---

From: Ted Hardie <[email-masked]>
Date: Mon, 22 Jul 2019 11:04:18 -0400

Hi John,

I've added the ietf list, since the issue you raised includes those who are
not attendees.

> Were those the questions you had in mind.
The choice laid out in the IAB report is:  should we delay issuing an RFP
until community discussion on the RFC Editor model has moved further along,
or should we issue an RFP now?  The current model already gives an RSE
responsibility for evolution of the series, so recruiting one with a strong
early focus on the evolution of the model is within the current model.

The current SOW has been shared with the community to allow comment on it
to proceed in parallel, should the community not wish to delay issuing and
RFP.  The IAB's intent is to continue soliciting discussion on the larger
point at least through the time the SOW is under discussion.  Having a few
hundred people in a room does, of course give some opportunity to get the
discussion going, but it will not be the end of it.

> Community who benefit from the RFC Series are effectively
I encourage you to share the question beyond the IETF and IRTF, and the IAB
would be happy to work with you or others on structuring the message,
should it need re-framing for those audiences.

Even within the communities we have already heard from, the breadth of
opinion of what to do from here is substantial.  The only universal is that
we all regret Heather's decision.  Beyond that, the range of ideas shared
with me has included:

* make this a NomCom appointed position
* make this an employee of the IETF LLC, who has no contract term
* make this position a long term contract, in a model similar to judicial
appointments
* merge this position with the ISE role to reinforce the need for technical
judgement
* eliminate this position entirely
* retain the position largely as described, but make the RSOC NomCom
appointed
* focus this position on libraries and publication venues and recruit with
that focus
* retain this position but remove the oversight of the RFC Production
Center and RFC Publisher (with many variants of what that means for other
relationships)
* retain this position but make it more junior and more overseen by
community members

I am pretty sure that this is only a selection of the ideas out there.
That breadth is part of why the choices we're asking about are only about
how to order the community discussion and the recruiting process; we are
sure that a larger community discussion is needed.

> situation.

I appreciate the kindness in suggesting a silver lining here.

> However, it suggests that, at least in addition to
I cannot tell you how may times I have missed Joyce's wise counsel in these
past weeks.  As the first person to be recruited to join Jon and the first
to succeed him, I have read and re-read her text in RFC 2555, along with
Jake's, Bob's, Steve's,  and Vint's.  But I think we are honestly at a
moment where we must both look back and look forward.  The ecosystem in
which this series came to be has changed and, as you note, the community
has grown well beyond the borders of the IETF's halls.  That has left me
grateful that Leslie in RFC 4844 and Olaf in RFC 6635 clearly envisioned
change:

  This document, and the resulting structures, will be modified as
   needed through normal procedures.  The RSE, and the IAB, through the
   RFC Oversight Committee (see Section 3.1
<https://tools.ietf.org/html/rfc6635#section-3.1>), will continue to
monitor
   discussions within the community about potential adjustments to the
   RFC Editor model and recognize that the process described in this
   document may need to be adjusted to align with any changes that
   result from such discussions; hence, the version number in the title.

While it is possible that the discussion will end with a long-term
retention of the current model, I must say that I honestly expect change.

best regards,

Ted Hardie

best,

---

From: Ted Hardie <[email-masked]>
Date: Mon, 22 Jul 2019 11:14:19 -0400

On Mon, Jul 22, 2019 at 11:04 AM Ted Hardie <[email-masked]> wrote:

>  That has left me grateful that Leslie in RFC 4844 and Olaf in RFC 6635
> clearly envisioned change:
>
>
It was pointed out to me offline that I left out Joel Halpern's role as
editor of RFC 6635 in making the statement above.  My apologies for the
ommission,

regards,

Ted